.contenedor{
    display: flex;
    gap: 0.5rem;
    min-height: 5rem;
    justify-content: space-around;
    
}

.barra{
    display: flex;
    flex-direction: column;
    padding:20px;
    flex-grow: 1;
    height: 90vh;
}
.item1{
    background-color: salmon;
    width: 95%;
    height: 10vh;
    margin:5px;
}

.main{
    padding:20px;
    flex-grow: 5;
    height: 90vh;
    background-color: deepskyblue;
}

@media (max-width: 640px){
    .contenedor{
        flex-direction: column-reverse;
        flex
    }
    .barra{
        flex-direction: row;
        
    }
}